/**
 * This is a template for new plugin wrappers
 *
 * TODO:
 * - Add/Change information below
 * - Document usage (importing, executing main functionality)
 * - Remove any imports that you are not using
 * - Remove all the comments included in this template, EXCEPT the @Plugin wrapper docs and any other docs you added
 * - Remove this note
 *
 */
import { Injectable } from '@angular/core';
import { Plugin, Cordova, AwesomeCordovaNativePlugin } from '@awesome-cordova-plugins/core';

/**
 * @name app-minimize
 * @description
 * This plugin does something
 *
 * @usage
 * ```typescript
 * import { AppMinimize } from '@awesome-cordova-plugins/app-minimize';
 *
 *
 * constructor(private app-minimize: app-minimize) { }
 *
 * ...
 *
 *
 * this.app-minimize.functionName('Hello', 123)
 *   .then((res: any) => console.log(res))
 *   .catch((error: any) => console.error(error));
 *
 * ```
 */
@Plugin({
  pluginName: 'AppMinimize',
  plugin: 'cordova-plugin-appminimize', // npm package name, example: cordova-plugin-camera
  pluginRef: 'plugins.appMinimize', // the variable reference to call the plugin, example: navigator.geolocation
  repo: 'https://github.com/tomloprod/cordova-plugin-appminimize', // the github repository URL for the plugin
  platforms: ['Android'], // Array of platforms supported, example: ['Android', 'iOS']
})
@Injectable()
export class AppMinimize extends AwesomeCordovaNativePlugin {
  /**
   * This function does something
   * @param arg1 {string} Some param to configure something
   * @param arg2 {number} Another param to configure something
   * @return {Promise<any>} Returns a promise that resolves when something happens
   */
  @Cordova()
  minimize(): Promise<any> {
    return; // We add return; here to avoid any IDE / Compiler errors
  }
}
